STEPS FOR EXECUTING CODE
1.collect the required dataset
2.Download the xampp server and install it.
3.Download the visual studio and install it.
4.Import the folder of you data in your xampp folder corresponding htdocs folder.(i.e Eshiksha)
5.Use the visual studio to see the code by opening the folder Eshiksha with vstudio.
6.Open the xampp folder and go to the xampp-control panel and click enter on it.
7.Once it is open,start the Apache server and MySQL.
8.Now open the browser and enter localhost then you u will get the dashboard in that click in phpMyAdmin.
9.Then go the new and import the eshiksha.sql from the coressponding path(xampp/htdocs/Eshiksha/Database)
10.Once you have complete these all then go for exectution.
11.Open the new tab and type localhost/Eshiksha
12.Then you will get the index page which consist of three module i.e Admin,User,Mentor
13.You can go for separate module at a time by selecting the Type,Id and Password.
14.Then new user can go for user registration by submitting name,password,email,mobile number.
15. After that his/her mobile number will be id and password submitted earlier will be the password.
16.Admin user id is admin and password is also admin.
17.Mentor user id is mentor and password is also mentor.
18.User is able to view the study the subject levelwise,post queries to mentor,see the solution for queries,take quiz of desired subject and download certificate.
19.The downloaded certificate will be in the folder(xampp/htdocs/Eshiksha/certificate)
20.The admin is able to view users,add and view the language,insert the data and question to particular language and view the certificate request and is able to grant/denied request.
21.Mentor is able to view queries and upload the solution to queries.